Realm for Node SDK requires AWS and React-native?

I am building a Vue app.
I followed this
https://docs.mongodb.com/realm/node/install/#node-install

I get this error:

Hi Fred – We don’t believe this should be the case and were not able to reproduce. Did you take any steps outside of what is outlined in that documentation page?

  1. Create a new vue project
  2. verify it runs
  3. Install node realm package
  4. Verify it runs
  5. Require Realm in main.js
  6. observe error when attempt to run

Video of steps: https://youtu.be/8sIOGcLiLY0

So the instructions for actually installing Realm for React Native lists the exact same command.
Here is the link :https://docs.mongodb.com/realm/react-native/install/
On this page it has the same instructions: npm install --save realm@10.0.0-beta.6

I am going to assume the NON React instructions should be different. Can anyone provide them?

@Fred_Kufner What are you trying to do? Vue.js is a frontend framework, are you trying to call MongoDB Realm functionality from a browser? If so you need to take a look at this tutorial:
https://docs.mongodb.com/realm/web/quickstart/

We have a warning here on what library to use for which platform:
https://docs.mongodb.com/realm/web/

@Ian_Ward The Web SDK does not work for Vue.
https://developer.mongodb.com/community/forums/t/realm-web-sdk-and-vuejs/5527

Understood - have you used the old stitch web sdk in a Vue.js application before? If so you can continue to do so - it appears it will work:

Thanks Ian, Michael. (I recently watched your video “Create a Data API in 10 Minutes with MongoDB Stitch”, it was helpful)

I see that example and its helpful. What is the call to login with API Key instead of using AnonymousCredential()?